Runtime

## org.eclipse.gmf.runtime.common.ui.services.icon
Class IconOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.icon.IconOperation

All Implemented Interfaces:
  IOperation, IIconOperation

Direct Known Subclasses:
  GetIconOperation

    public abstract class IconOperation

extends java.lang.Object
implements IIconOperation

The parent of all icon operations.

Constructor Summary
`protected` `IconOperation(IAdaptable hint)` Constructor for IconOperation.

Method Summary
`IAdaptable` `getHint()` Gets the object hint

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IOperation
`execute`

Constructor Detail

### IconOperation

    protected IconOperation(IAdaptable hint)

  Constructor for IconOperation.

  Parameters:
    `hint` - argument adaptable to IElement

Method Detail

### getHint

    public final IAdaptable getHint()

  Gets the object hint

  Specified by:
    `getHint` in interface `IIconOperation`
  Returns:
    the object hint

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.